/***************************************************************************
 *   Copyright (C) 2010, 2011 Stephane List                                *
 *   slist@lilotux.net                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <QtGui/QApplication>
#include <QTranslator>
#include <QIcon>
#include <QLibraryInfo>
#include <QDebug>
#include "mainwindow.h"

int main(int argc, char *argv[])
{

    QApplication app(argc,argv);
    QApplication::setOrganizationName("Stephane List");
    QApplication::setApplicationName("qdisplay");

    qDebug() << "Locale : " << QLocale::system().name();

    QTranslator qtTranslator;
    if (qtTranslator.load("qt_" + QLocale::system().name(), QLibraryInfo::location(QLibraryInfo::TranslationsPath)))
            app.installTranslator(&qtTranslator);
    else
            qDebug("Failed to load a translation for QT in your local language");

    QTranslator myTranslator;
    if (myTranslator.load("qdisplay_" + QLocale::system().name(), QCoreApplication::applicationDirPath()))
            app.installTranslator(&myTranslator);
    else
            qDebug("Failed to load a translation for the application");

    MainWindow w;
    w.setWindowIcon(QIcon(":/qdisplay.png"));
    w.show();
    return app.exec();
}
